Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bugzilla DB migration completed. Please report issues to Infra team via email via infra@gentoo.org or IRC
Bug 607224 - sys-apps/portage: emerge --autounmask-unrestricted-atom could omit operator and version number for packages that are not slotted
Summary: sys-apps/portage: emerge --autounmask-unrestricted-atom could omit operator a...
Status: CONFIRMED
Alias: None
Product: Portage Development
Classification: Unclassified
Component: Core - Interface (emerge) (show other bugs)
Hardware: All All
: Normal normal (vote)
Assignee: Portage team
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: autounmask
  Show dependency tree
 
Reported: 2017-01-25 22:55 UTC by Zac Medico
Modified: 2017-01-28 06:38 UTC (History)
1 user (show)

See Also:
Package list:
Runtime testing required: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Zac Medico gentoo-dev 2017-01-25 22:55:01 UTC
Currently, --autounmask-unrestricted-atom generates >=foo-version atoms for packages that are not slotted. It would be nice to have atoms without operator and version number in this case. This mainly applies to package.use, since files like package.mask and package.accept_keywords are sensitive to version numbers, even for packages that are not slotted.